All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.events.broker
Interface ListenerRegisterInterface

All Superinterfaces:
  java.rmi.Remote

All Known Subinterfaces:
  EventBrokerServiceInterface

All Known Implementing Classes:
  EventBrokerService

Deprecated. As of release 9.3, replaced by SAS Midtier Eventing Architecture.

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface ListenerRegisterInterface

extends java.rmi.Remote

Interface to the `EventBroker Service` for registering interest in certain events.

## Usage

This interface is used by dynamic listener applications that wish to register their interest in a particular event.

Since:
  1.0

Field Summary
`static int` | `EVENT_TYPE_BROADCAST` Deprecated. A Broadcast type of event is forwarded to all possible handlers.
`static int` | `EVENT_TYPE_REQUEST_RESPONSE` Deprecated. A Request/Response type of event is forwarded to a single handler and a response is always generated.

Method Summary
`abstract void` | `addEventListener(java.lang.String eventName, int eventType, ListenerInterface listener)` Deprecated. Register a dynamic listener for a particular event.
`abstract boolean` | `removeEventListener(java.lang.String eventName, int eventType, ListenerInterface listener)` Deprecated. Unregister a dynamic listener for a particular event.

Field Detail

### EVENT_TYPE_BROADCAST

    static final int EVENT_TYPE_BROADCAST

  Deprecated.
  A Broadcast type of event is forwarded to all possible handlers. A response is never generated.

  See Also:
    Constant Field Values

### EVENT_TYPE_REQUEST_RESPONSE

    static final int EVENT_TYPE_REQUEST_RESPONSE

  Deprecated.
  A Request/Response type of event is forwarded to a single handler and a response is always generated.

  See Also:
    Constant Field Values

Method Detail

### addEventListener

    void addEventListener(java.lang.String eventName,
                          int eventType,
                          ListenerInterface listener)
                          throws java.rmi.RemoteException,
                                 InvalidEventTypeException

  Deprecated.
  Register a dynamic listener for a particular event.

  Valid event types are as follows:

  - `Broadcast`
  - `Request/Response`

  Parameters:
    `eventName` - name of event.
    `eventType` - type of event.
    `listener` - dynamic listener for given event.
  Throws:
    `java.rmi.RemoteException` - if a network anomaly is encountered.
    `InvalidEventTypeException` - if the event type is invalid.

### removeEventListener

    boolean removeEventListener(java.lang.String eventName,
                                int eventType,
                                ListenerInterface listener)
                                throws java.rmi.RemoteException

  Deprecated.
  Unregister a dynamic listener for a particular event.

  Valid event types are as follows:

  - `Broadcast`
  - `Request/Response`

  Parameters:
    `eventName` - name of event.
    `eventType` - type of event.
    `listener` - dynamic listener to remove.
  Returns:
    true if listener was removed; otherwise false.
  Throws:
    `java.rmi.RemoteException` - if a network anomaly is encountered.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.